from django import forms

from benevalibre.utils.forms import CustomTapeformMixin

from . import models


class DefaultRoleCreateForm(CustomTapeformMixin, forms.ModelForm):
    class Meta:
        model = models.DefaultRole
        fields = '__all__'


class DefaultRoleUpdateForm(DefaultRoleCreateForm):
    pass


class DefaultLevelCreateForm(CustomTapeformMixin, forms.ModelForm):
    class Meta:
        model = models.DefaultLevel
        fields = '__all__'


class DefaultLevelUpdateForm(DefaultLevelCreateForm):
    pass


class DefaultCategoryCreateForm(CustomTapeformMixin, forms.ModelForm):
    class Meta:
        model = models.DefaultCategory
        fields = '__all__'


class DefaultCategoryUpdateForm(DefaultCategoryCreateForm):
    pass


class InstanceCategoryCreateForm(CustomTapeformMixin, forms.ModelForm):
    class Meta:
        model = models.InstanceCategory
        fields = '__all__'


class InstanceCategoryUpdateForm(InstanceCategoryCreateForm):
    pass
